﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace CustomSorting_SL
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            List<Item> items = new List<Item>();
            items.Add(new Item() { DayOfWeek = "Wednesday" });
            items.Add(new Item() { DayOfWeek = "Friday" });
            items.Add(new Item() { DayOfWeek = "Tuesday" });
            items.Add(new Item() { DayOfWeek = "Sunday" });
            items.Add(new Item() { DayOfWeek = "Monday" });
            items.Add(new Item() { DayOfWeek = "Saturday" });
            items.Add(new Item() { DayOfWeek = "Thursday" });

            this.RadGridView1.ItemsSource = items;
            this.RadGridView1.Sorting += new EventHandler<Telerik.Windows.Controls.GridViewSortingEventArgs>(RadGridView1_Sorting);
        }

        void RadGridView1_Sorting(object sender, Telerik.Windows.Controls.GridViewSortingEventArgs e)
        {
            e.Cancel = true;
            List<Item> unsortedItems = this.RadGridView1.ItemsSource as List<Item>;


            var sortedItems = from i in unsortedItems
                              orderby (new []{ "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" }).ToList().IndexOf(i.DayOfWeek)
                              select i;

            this.RadGridView1.ItemsSource = sortedItems.ToList();
        }
    }

    public class Item
    {
        public string DayOfWeek { get; set; }
    }
}
